use telers::{
    event::{telegram::HandlerResult, EventReturn},
    types::Message,
    Bot,
};

use crate::types::structs::message_sender::MessageSender;

const HELP_TEXT: &str = "\
    Команды:\n\
    /unmute [ID] - снять мут с участника чата.\n\
    /mute [ID] - выдать мут участнику чата.\n\
    \n\
    Для получения подробной помощи по командам использовать их без аргументов.\n\
    \n\
    Эмодзи:\n\
    Отправлять в чат в ответ на сообщение другого пользователя.\n\
    \n\
    🎲 - мут участнику чата на рандомный интервал времени.\n\
    🎰 - мут участнику чата на рандомный интервал времени; выпадание джекпота \
    отправляет в бан.";

pub async fn help(bot: Bot, message: Message) -> HandlerResult {
    MessageSender::builder(message.chat().id())
        .text(HELP_TEXT)
        .build()
        .send(&bot)
        .await
        .unwrap();
    Ok(EventReturn::Finish)
}
